export default {
    ActiveFacet: {
        label: 'Apply your filters',
        clearFacet: 'Clear facets actives',
    },
    AlertButton: {
        save: 'Save',
        title: 'Alert settings',
        month: 'Monthly',
        week: 'Weekly',
        day: 'Daily',
        none: 'Remove my alert',
        createAlert: 'Create an alert',
        editAlert: `Edit the alert`,
        disableAlert: 'Disable/enable the alert',
        disabled: 'Disabled',
    },
    ArticleLink: {
        fullTextLinks: 'Article access',
        pdfLinks: 'Pdf access',
        urls: 'Urls',
        html: 'Html',
        noLinks: 'No access for this article.',
        linksLoading: 'Loading links...',
        'Access URL': 'Access URL',
        'Other URLs': 'Other URLs',
        Availability: 'Availability',
        'Lien(s) texte intégral': 'Fulltext links',
        openAccessArticleDescription:
            'Free access to the article in the respect of the copyright',
    },
    ArticleRecord: {
        by: 'By',
        export: 'Export',
        openNotices: 'Open the notices of the article',
        closeNotices: 'Close the notices of the article',
    },
    ArticleSearchInputList: {
        add: 'add a search field',
        remove: 'remove search field',
    },
    ArticleSearchMenu: {
        history: 'history',
        historyInfo: 'Consult your search history.',
        show: 'show',
        hide: 'hide',
    },
    Authentication: {
        login: 'login',
        password: 'password',
        title: 'Identifiy yourself',
        info:
            'This resource or service is reserved for CNRS rights holders. Please sign in.',
        chooseMode: 'Please select your signing-in mode:',
        connection: 'Connection',
        janus: 'connect with janus',
        labintelAccount: 'Via Janus identity manager.',
        inistAccount: 'Via your old portal access code.',
        contact: 'contact us',
        askAccount: 'request a janus account',
        janusExplanation:
            'personal account for all CNRS services Agate, Simbad ...',
    },
    Database: {
        databaseMess: 'Sign in to access all databases',
        openAccess: 'Open Access',
    },
    Profile: {
        form: {
            title: 'Title',
            url: 'Url',
        },
        favouriteResourcesTooltip:
            'list of articles, journals or databases bookmarked which come from BibCnrs',
        goToFavoriteRessourcePage: 'Go to the favorite resources page',
        personalResourceTooltip:
            'list of manually bookmarked resources from elsewhere than BibCnrs',
        account: 'Your preferences for your account:',
        contact: 'contact us',
        favoriteDomain:
            'Select your preferred disciplinary field from the list below',
        info: `
<p>Your preferred disciplinary field for your account: If you are a rights-holder for more than one disciplinary field, you can set a default disciplinary field for your searches.</p>
<p>To register a preferred disciplinary field, you need to log off then sign back in on BibCnrs.</p>
<p>At any time, you can change your preferred disciplinary field.</p>`,
        invalidFavoriteDomain:
            "You don't have access to your preferred disciplinary anymore.",
        save: 'Save',
        saveSuccess: 'Your favorite domain has been saved.',
        title: 'My profile',
        favouriteDomainTab: 'Favourite disciplinary field',
        domainsTab: 'My disciplinary fields',
        oneDomain: 'My disciplinary field',
        favouriteResourcesTab: 'Favourite Resources',
        personalResourceTab: 'Personal Resources',
        goToPersonalRessourcePage: 'Go to personal ressource page',
        open: 'Open personal ressource',
        close: 'Close personal ressource',
        favouriteDomainHelp: username => `
    Your account preferences:: ${username}
    <br>
    If you are entitled to more than one domain,
    you can set the default domain to be searched.<br>
    At any time, you can change your selected favorite domain
    by clicking on another domain. <br>
    In order to take your favourite domain into account,
    you must log out and then log back in to BibCnrs
    as soon as you register another domain.
        `,
    },
    BatchExport: {
        export: 'Selection export',
        ris: 'RIS format',
        bibtex: 'BIBTEX format',
    },
    BibNavbar: {
        article: 'Article',
        articleLabel: 'Search articles',
        title: 'Journal, book',
        journalLabel: 'Search journals, books',
        db: 'Database',
        dbLabel: 'Search databases',
        search: 'Search:',
        close: 'close',
        metadore: 'Research data',
        metadoreLabel: 'Search research data',
    },
    BookmarkButton: {
        tooltipAdd: 'Add to favorite resources',
        tooltipRemove: 'Remove from favorite resources',
    },
    Connection: {
        connect: 'Sign in',
        disconnect: 'Sign out',
    },
    DL: {
        fullTextLinks: 'Article access',
        pdfLinks: 'Pdf access',
        dbId: 'Database id',
        Author: 'Author',
        TitleSource: 'Source',
        TypePub: 'Type of publication',
        Language: 'Language',
        PublisherInfo: 'Publisher info',
        SubjectMESH: 'MESH keyword',
        Abstract: 'Abstract',
        Comment: 'Comment',
        NumberCAS: 'CAS number',
        DateEntry: 'Entry date',
        DateUpdate: 'Update date',
        SubjectOther: 'Other keywords',
        DatePubCY: 'Publication year',
        AffiliationAuthor: 'Author affiliation',
        Copyright: 'Copyright',
        Publisher: 'Publisher',
        Subset: 'Subset',
        Subject: 'Keyword',
        Subjects: 'Keywords',
        TypeDocument: 'Document type',
        Keyword: 'Keyword',
        AbstractSuppliedCopyright: 'Abstract copyright',
        SubjectGeographic: 'Geographic keyword',
        SubjectCompany: 'Company keyword',
        PhysDesc: 'Physical description',
        SubjectThesaurus: 'Thesaurus keyword',
        CodeClass: 'Classification',
        PatentInfo: 'Patent',
        Treatment: 'Treatment',
        NumberRef: 'Reference number',
        Avail: 'Availability',
        CodeNAICS: 'NAICS code',
        'Access URL': 'Access URL',
        'Other URLs': 'Other URLs',
        PubInfo: 'Frequency',
        NoteScope: 'Description',
        PeerReviewed: 'Peer reviewed',
        SubjectBISAC: 'BISAC keyword',
        AN: 'Accession number',
        fullTextHoldings: 'Resource access',
        Availability: 'Availability',
        FullTextWordCount: 'Full text word count',
        SubjectPerson: 'Person keyword',
        TitleTranslated: 'Translated title',
    },
    DomainSelector: {
        title: 'Choose your search discipline.',
        available: 'You have access to this discipline',
        unavailable: "You do'nt have access to this discipline",
        INSB: 'biology',
        INC: 'chemistry',
        INSHS: 'human & society',
        INSIS: 'engineering & systems',
        INSMI: 'mathematics',
        IN2P3: 'nuclear & particles',
        INP: 'physics',
        INS2I: 'information sciences',
        INSU: 'earth & universe',
        noDomain: 'No discipline',
        noDomainTooltip:
            "The systems could'nt link your account to a scientific discipline. Please contact the technical assistance team.",
    },
    EDS: {
        refine: 'Refine your search',
        inistExplanation: `You are not logged on at the individual level. By logging in via janus, you can have a personal profile that gives you quick access to your favorite resources or customize your search area..`,
    },
    Etc: {
        other: 'and 1 other',
        others: 'and <x> others',
    },
    Error: {
        LOGIN_ERROR: 'Could not login.',
        RETRIEVE_ERROR: 'The notice could not be retrieved.',
        RETRIEVE_ERROR_401:
            'You cannot access this resource because you are searching in a discipline which is not within your authorized discipline field. Please run another search request after selecting your discipline field.',
        RETRIEVE_LINK_ERROR: 'The Full text link could not be retrieved.',
        SEARCH_ERROR: 'The search failed.',
        FETCH_DOMAINS_ERROR: 'Discipline list could not be retrieved.',
        ACCESS_ERROR: "You don't have access to this discipline notice",
        EXPORT_NOTICE_ERROR: 'The selected notices could not be exported',
        DISCONNECTED: 'Your session has expired.',
        NO_DOMAIN_ERROR:
            "The systems could'nt link your account to a scientific discipline.",
        METADORE_UNAVAILABLE:
            'The research data service is currently unavailable. Please try again later.',
        0: 'The api could not be reached',
        1: 'Please reconnect.',
        2: 'Please contact the technical assistance team.',
        400: 'Server temporarily unavailable. Please try again later.',
        401: `The username / password is wrong. Please try again (in capital letters without spaces).
If the problem persists, do not hesitate to contact assistance-portail@inist.fr`,
        403: 'Server temporarily unavailable. Please try again later.',
        404: 'Server temporarily unavailable. Please try again later.',
        405: '405 - Method Not Allowed',
        406: 'Invalid request, check that you did not use special characters',
        407: '407 - Proxy Authentication Required',
        408: '408 - Request timeout',
        409: '409 - Conflict',
        410: '410 - Gone',
        411: '411 - Length required',
        412: '412 - Precondition failed',
        413: '413 - Request Entity Too Large',
        414: '414 - Request-URI Too Long',
        415: '415 - Unsupported Media Type',
        416: '416 - Requested Range Not Satisfiable',
        417: '417 - Expectation Failed',
        500: 'Server temporarily unavailable. Please try again later.',
        501: '501 - Not Implemented',
        502: 'Due to an internet error, your request did not succeed. Please try again later',
        503: '503 - Service Unavailable',
        504: '504 - Gateway Timeout',
        505: 'Server temporarily unavailable. Please try again later.',
        failedFetch: 'La requête à échoué',
    },
    ExactMatchPlacard: {
        placeholder: 'Search into publication',
    },
    Facet: {
        SubjectPubDb: 'Keyword',
        TypePublicationPubD: 'Type of Publication',
        PublisherPubDb: 'Publisher',
        SourceType: 'Source type',
        SubjectEDS: 'Keyword',
        Journal: 'Publication title',
        Language: 'Language',
        PublicationYear: 'Publication year',
        Publisher: 'Publisher',
        ContentProvider: 'Content provider',
        showAllFacetValues: 'Show all values',
        showLessFacetValues: 'Show less values',
    },
    FullTextHolding: {
        date: ({ day, month, year }) =>
            year === '9999' ? 'present' : `${month}/${day}/${year}`,
    },
    FullTextHoldings: {
        access: 'Resource access',
    },
    Header: {
        connect: 'Sign in',
        disconnect: 'Sign out',
    },
    History: {
        alert: 'alerts',
        search: 'search',
        searchedTerm: 'Searched terms',
        domain: 'Discipline',
        limits: 'Limits',
        facets: 'Facets',
        actions: 'Actions',
        showOnlyAlert: 'Display only alerts',
        showAllHistory: 'Display alerts and searches',
        removeAllSearchNotAlert: 'Delete history',
        toggleAllAlert: 'Enable/disable all alert',
        confirmDeleteAll:
            'Do you really want to delete all the history (excluding alerts) ?',
    },
    HistoryItem: {
        reload: 'reload',
        modify: 'modify',
        delete: 'delete',
        reloadLabel: 'reload history item',
        modifyLabel: 'modify history item',
        deleteLabel: 'delete history item',
        result: '1 result',
        results: '<x> results',
        all: 'All',
        author: 'Author',
        exactAuthor: 'Exact author',
        title: 'Title',
        subject: 'Subject',
        source: 'Source',
        abstract: 'Abstract',
        publisher: 'Publisher',
    },
    PrettyLimiter: {
        fullText: 'Full text',
        openAccess: 'Open Access',
        peerReviewedArticle: 'Peer reviewed',
        publicationDate: 'Publication date',
        Journal: 'Journal',
        SubjectEDS: 'Keywords',
        Publisher: 'Publisher',
        Publication: 'Publication',
        Language: 'Language',
        Category: 'Category',
        ContentProvider: 'Content provider',
    },
    ProfileButton: {
        profile: 'Open my profile',
        favorite_domain: 'Favorite domain',
        selectFavoriteDomain: 'Select your favorite domain',
        licenses: 'Licenses',
        logout: 'Sign out',
    },
    Publication: {
        refine: 'Refine your search',
    },
    PublicationDateLimiter: {
        date: 'Date',
        to: 'to',
        fromLabel: 'From date',
        toLabel: 'To date',
        resetDate: 'Reset dates to default',
    },
    PublicationIdLimiter: {
        publication: 'Publication',
    },
    PublicationRecord: {
        type: 'Type',
        access: 'Resource access',
        notConnected: 'Login and restart the search',
        openAccessPublicationDescription:
            "Free access to the journal's content",
        diamondDescription:
            'Open Access publication, free of charge for authors and readers',
        openNotices: 'Open notices from this publication',
        closeNotices: 'Close notices from this publication',
    },
    ArticleSearchInput: {
        searchPlaceholder:
            'Search articles, book chapters, DOIs, authors, words from the title abstract, ISSN, ISBN.',
    },
    fullTextLimiter: {
        fullText: 'Full text',
    },
    openAccessLimiter: {
        openAccess: 'Open Access',
    },
    NoAccessToDomain: {
        forbid: 'Forbidden',
        message: "You don't have to access to this discipline",
    },
    Pagination: {
        previousPage: 'Go to the previous page',
        nextPage: 'Go to the next page',
        currentPage: 'Current page',
        goToPage: 'Go to page',
    },
    peerReviewedArticleLimiter: {
        peerReviewedArticle: 'Peer reviewed',
    },
    peerReviewedPublicationLimiter: {
        peerReviewedPublication: 'Peer reviewed',
    },
    PublicationSearchInput: {
        searchPlaceholder: 'Search journal titles, book titles...',
    },
    MetadoreSearchInput: {
        searchPlaceholder: 'Search',
    },
    RecordList: {
        noResults: 'No result found.',
        noFullTextResults:
            'Full text access is not available for this article.',
        noticeOnly:
            'Only the document record corresponding to your DOI is available:',
    },
    SearchInput: {
        search: 'Search field',
        searchButton: 'Launch search',
        clear: 'Clear search field',
    },
    SearchResult: {
        searchResults: 'Search results',
        selectAllResults: 'Select all results',
    },
    ShowResultButton: {
        openTooltip: 'View the results of the last search request',
        closeTooltip: 'Hide the results of the last search request',
    },
    SortSelector: {
        sortBy: 'Sort by',
        relevance: 'relevance',
        title: 'alphabetical',
        new: 'newest',
        old: 'oldest',
    },
    FieldSelector: {
        all: 'All',
        author: 'Author',
        exactAuthor: 'Exact author',
        title: 'Title',
        subject: 'Subject',
        abstract: 'Abstract',
        publisher: 'Publisher',
        fieldInfo: 'Specify the targeted field of your search here',
    },
    License: {
        loading: 'Loading...',
        notFound: 'Licenses not found',
        pdf: 'PDF link:',
    },
    MetadoreFieldSelector: {
        byField: 'by',
        'attributes.titles.title': 'Title',
        'attributes.descriptions.description': 'Description',
        'attributes.subjects.subject': 'Subject',
        'attributes.doi': 'DOI',
    },
    SearchLegend: {
        openAccess: 'Open Access',
        openAccessArticleDescription: 'Open Access publication',
        openAccessPublicationDescription: 'Open Access publication',
        diamond: 'Revue diamond',
        diamondDescription:
            'Open Access publication, free of charge for authors and readers',
    },
    SearchDomains: {
        label: 'Change search domain to :',
    },
    MetadoreRecord: {
        openNotices: 'Open notices from this record',
        closeNotices: 'Close notices from this record',
    },
};
