import { fork } from 'redux-saga/effects';

import initialize from './initialize';
import exportNotice from './exportNotice';
import search from './search';
import loadPage from './loadPage';
import showNotice from './showNotice';
import retrieveLink from './retrieveLink';
import apiLogin from './apiLogin';
import apiUpdateProfile from './apiUpdateProfile';
import apiLoadHistoryPage from './apiLoadHistoryPage';
import apiDeleteHistory from './apiDeleteHistory';
import apiDeleteHistories from './apiDeleteHistories';
import apiPersistHistory from './apiPersistHistory';
import history from './history';
import histories from './histories';
import logout from './logout';
import renaterLogin from './renaterLogin';
import loginSuccess from './loginSuccess';
import navigate from './navigate';
import searchSuccess from './searchSuccess';
import autoComplete from './autoComplete';
import exactMatch from './exactMatch';
import exactMatchRetrieve from './exactMatchRetrieve';
import retrieveDatabase from './retrieveDatabase';
import piwikTracking from './piwikTracking';
import updateFavouriteResources from './updateFavouriteResources';
import saveAlert from './saveAlert';
import removeAlert from './removeAlert';
import disableAlert from './disableAlert';
import disableAllAlert from './disableAllAlert';
import changeAllTerm from './changeAllTerm';
import changeAllSearchDomain from './changeAllSearchDomain';
import restoreAndReloadHistory from './restoreAndReloadHistory';

export default function* sagas(getState) {
    yield fork(initialize, getState);
    yield fork(exportNotice, getState);
    yield fork(search, getState);
    yield fork(loadPage, getState);
    yield fork(showNotice, getState);
    yield fork(retrieveLink, getState);
    yield fork(apiLogin, getState);
    yield fork(apiUpdateProfile, getState);
    yield fork(history, getState);
    yield fork(histories, getState);
    yield fork(logout, getState);
    yield fork(renaterLogin, getState);
    yield fork(loginSuccess, getState);
    yield fork(navigate, getState);
    yield fork(searchSuccess, getState);
    yield fork(autoComplete, getState);
    yield fork(exactMatch, getState);
    yield fork(exactMatchRetrieve, getState);
    yield fork(retrieveDatabase, getState);
    yield fork(apiPersistHistory, getState);
    yield fork(apiLoadHistoryPage, getState);
    yield fork(apiDeleteHistory, getState);
    yield fork(apiDeleteHistories, getState);
    yield fork(piwikTracking, getState);
    yield fork(updateFavouriteResources, getState);
    yield fork(saveAlert, getState);
    yield fork(removeAlert, getState);
    yield fork(disableAlert, getState);
    yield fork(disableAllAlert, getState);
    yield fork(changeAllTerm, getState);
    yield fork(changeAllSearchDomain, getState);
    yield fork(restoreAndReloadHistory, getState);
}
